
Flourish - Bug #5270

Multiple HIV Disclosure Forms

06/07/2021 16:49 - Itumeleng Mosweu

Status: Closed Start date: 06/07/2021

Priority: Normal Due date: 26/10/2021

Assignee: Itumeleng Mosweu % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

Create multiple HIV Disclosure Forms to cater for caregivers enrolled with multiple children.

History

#1 - 07/07/2021 16:27 - Itumeleng Mosweu

- Status changed from New to In Progress

#2 - 12/07/2021 17:35 - Itumeleng Mosweu

- Assignee set to Itumeleng Mosweu

#3 - 14/07/2021 16:55 - Itumeleng Mosweu

- Status changed from In Progress to Resolved

#4 - 09/08/2021 12:05 - Gosego Masasa

- Status changed from Resolved to Feedback

HIV Disclosures for multiple children has been created but we wanted them to have something that can differentiate them. e.g labelled by child's first

name/PID

#5 - 26/08/2021 13:15 - Itumeleng Mosweu

- Status changed from Feedback to In Progress

#6 - 26/08/2021 13:52 - Itumeleng Mosweu

- Status changed from In Progress to Resolved

#7 - 08/09/2021 12:35 - Samuel Wilson Kgole

- File Screenshot 2021-09-08 at 11.56.32.png added

- Status changed from Resolved to Feedback

Test passed.

i tested with B142-040990039-5 for these siblings; B142-040990039-5-25 and B142-040990039-5-35. Form saved well with one HIV disclosed and the

other one not disclosed.

For the infant whom were not yet disclosed, testing at 2002 visit shows that all disclosure CRFs new. 

DMC to check role group for this. If HIV status disclosed, this CRF should no longer appears on later visits.

#8 - 21/09/2021 13:07 - Itumeleng Mosweu
- Status changed from Feedback to Resolved

#9 - 29/09/2021 10:34 - Samuel Wilson Kgole

- Status changed from Resolved to Feedback

CRF appear as required on next visit yet HIV status was disclosed at a previous visit

#10 - 19/10/2021 14:58 - Itumeleng Mosweu

- Due date set to 26/10/2021

#11 - 02/11/2021 13:41 - Itumeleng Mosweu

- Status changed from Feedback to Resolved

#12 - 04/11/2021 12:31 - Gosego Masasa

- Status changed from Resolved to Closed

Tested with PID 0039-5 and the CRF does not appear on subsequent visits once the disclosure has been done, issue has been resolved.

Files
